FLUX.1 Kontext [Max]
Method: POSTEndpoint: /fal-ai/flux-pro/kontext/max
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
Request Parameters
Header Parameters
text
Content-Type
string
Optional
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
prompt
string
Required
// provider-specific example normalized for English documentation
Example:
Put a donut next to the flour.
seed
integer
Optional
// provider-specific example normalized for English documentation
guidance_scale
number
Optional
// provider-specific example normalized for English documentation
Default Value:
3.5
sync_mode
boolean
Optional
// provider-specific example normalized for English documentation
Default Value:
false
num_images
integer
Optional
// provider-specific example normalized for English documentation
>= 1
<= 4
Default Value:
1
safety_tolerance
enum<string>
Optional
// provider-specific example normalized for English documentation
Enum Values:
1
2
3
4
5
6
Default Value:
2
output_format
enum<string>
Optional
// provider-specific example normalized for English documentation
Enum Values:
jpeg
png
Default Value:
jpeg
aspect_ratio
string
Optional
// provider-specific example normalized for English documentation
image_url
string
Required
// provider-specific example normalized for English documentation
Example:
https://v3.fal.media/files/rabbit/rmgBxhwGYb2d3pl3x9sKf_output.png
Example
{
"prompt"
:
"Put a donut next to the flour."
,
"seed"
:
0
,
"guidance_scale"
:
3.5
,
"sync_mode"
:
false
,
"num_images"
:
1
,
"safety_tolerance"
:
"2"
,
"output_format"
:
"jpeg"
,
"aspect_ratio"
:
"string"
,
"image_url"
:
"https://v3.fal.media/files/rabbit/rmgBxhwGYb2d3pl3x9sKf_output.png"
}Example Request
Shell
bash
curl --location --request POST '/fal-ai/flux-pro/kontext/max' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"prompt": "Put a donut next to the flour.",
"seed": 0,
"guidance_scale": 3.5,
"sync_mode": false,
"num_images": 1,
"safety_tolerance": "2",
"output_format": "jpeg",
"aspect_ratio": "string",
"image_url": "https://v3.fal.media/files/rabbit/rmgBxhwGYb2d3pl3x9sKf_output.png"
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
status
string
Required
request_id
string
Required
response_url
string
Required
status_url
string
Required
cancel_url
string
Required
queue_position
integer
RequiredExample
json
{
"status": "IN_QUEUE",
"request_id": "551a32da-52b2-4be8-bf2f-bfb7cce2b324",
"response_url": "https://queue.fal.run/fal-ai/flux-1/requests/551a32da-52b2-4be8-bf2f-bfb7cce2b324",
"status_url": "https://queue.fal.run/fal-ai/flux-1/requests/551a32da-52b2-4be8-bf2f-bfb7cce2b324/status",
"cancel_url": "https://queue.fal.run/fal-ai/flux-1/requests/551a32da-52b2-4be8-bf2f-bfb7cce2b324/cancel",
"queue_position": 0
}